Billing groups
All operations require authentication.
Retrieve all billing groupsBeta
Query parameters
Filter by name
Filter by Service ID
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Create a new billing groupBeta
Request body (required)
Contact ID from /me/contact
Creation date
Billing group ID
Last update date
Billing group unique name
Payment method ID associated to the billing group
Response
Contact ID from /me/contact
Creation date
Billing group ID
Last update date
Billing group unique name
Payment method ID associated to the billing group
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group \
-H "authorization: Bearer $OVH_TOKEN"{ "contactId": 0, "creationDate": "2024-01-01T12:00:00Z", "groupId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "paymentMethodId": 0}
Retrieve information about a billing groupBeta
Path parameters
Group ID
Response
Contact ID from /me/contact
Creation date
Billing group ID
Last update date
Billing group unique name
Payment method ID associated to the billing group
Example uses groupId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group/ {groupId} \
-H "authorization: Bearer $OVH_TOKEN"{ "contactId": 0, "creationDate": "2024-01-01T12:00:00Z", "groupId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "paymentMethodId": 0}
Edit billing groupBeta
Path parameters
Group ID
Request body (required)
Contact ID from /me/contact
Creation date
Billing group ID
Last update date
Billing group unique name
Payment method ID associated to the billing group
Response
Example uses groupId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group/ {groupId} \
-H "authorization: Bearer $OVH_TOKEN"Delete a billing groupBeta
Path parameters
Group ID
Response
Example uses groupId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group/ {groupId} \
-H "authorization: Bearer $OVH_TOKEN"Retrieve billing group service ID listBeta
Path parameters
Group ID
Response
Example uses groupId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group/ {groupId}/ service \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Associate a service to a billing groupBeta
Path parameters
Group ID
Request body (required)
A service ID to associate
Response
Billing group ID
Service ID
Example uses groupId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group/ {groupId}/ service \
-H "authorization: Bearer $OVH_TOKEN"{ "groupId": 0, "serviceId": 0}
Retrieve information about a billing group serviceBeta
Path parameters
Group ID
Service ID
Response
Billing group ID
Service ID
Example uses groupId = 0, serviceId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group/ {groupId}/ service/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"{ "groupId": 0, "serviceId": 0}
Unlink a service from a billing groupBeta
Path parameters
Group ID
Service ID
Response
Example uses groupId = 0, serviceId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ billing/ group/ {groupId}/ service/ {serviceId} \
-H "authorization: Bearer $OVH_TOKEN"